Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils
Class TriggerStatus

    java.lang.Object
      org.quartz.utils.Pair
          org.quartz.utils.TriggerStatus

public class TriggerStatus
extends Pair

Object representing a job or trigger key.

Author:
  James House

Constructor Summary
`TriggerStatus(String status, Date nextFireTime)` Construct a new TriggerStatus with the status name and nextFireTime.

Method Summary
`Key` | `getJobKey()`
`Key` | `getKey()`
`Date` | `getNextFireTime()` Get the group portion of the key.
`String` | `getStatus()` Get the name portion of the key.
`void` | `setJobKey(Key jobKey)`
`void` | `setKey(Key key)`
`String` | `toString()` Return the string representation of the TriggerStatus.

Methods inherited from class org.quartz.utils.Pair
`equals, getFirst, getSecond, setFirst, setSecond`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TriggerStatus

    public TriggerStatus(String status,
                         Date nextFireTime)

  Construct a new TriggerStatus with the status name and nextFireTime.

Parameters:
  `status` - the trigger's status
  `nextFireTime` - the next time the trigger will fire

Method Detail

### getJobKey

    public Key getJobKey()

  Returns:

### setJobKey

    public void setJobKey(Key jobKey)

  Parameters:
    `jobKey` -

### getKey

    public Key getKey()

  Returns:

### setKey

    public void setKey(Key key)

  Parameters:
    `key` -

### getStatus

    public String getStatus()

  Get the name portion of the key.

  Returns:
    the name

### getNextFireTime

    public Date getNextFireTime()

  Get the group portion of the key.

  Returns:
    the group

### toString

    public String toString()

  Return the string representation of the TriggerStatus.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD